/* This header file is not part of the ATMEL AVR32-SoftwareFramework-AT32AP7000-1.0.0 Release */

#ifndef _ngw100_h_
#define _ngw100_h_

#include <avr32/io.h>

#define CPU_FAMILY    "AVR32_AP7"
#define CPU_TYPE      "AT32AP7000"
#define MAX_FREQ_HZ   200000000

#define DEFAULT_FREQ  FOSC0
#define DEFAULT_UART  UART_A

#define FOSC32          32768     //!< Osc32 frequency: Hz.
#define OSC32_STARTUP   3         //!< Osc32 startup time: RCOsc periods.

/* Define the on-board oscillators in Hz */
#define FOSC0           20000000  //!< Osc0 frequency: Hz.
#define FOSC1           12000000  //!< Osc1 frequency: Hz.
#define OSC0_STARTUP    3         //!< Osc0 startup time: RCOsc periods.
#define OSC1_STARTUP    3         //!< Osc1 startup time: RCOsc periods.

#define CONFIG_SYS_FLASH_BASE			0x00000000
#define CONFIG_SYS_FLASH_SIZE			0x800000
#define CONFIG_SYS_MAX_FLASH_BANKS		1
#define CONFIG_SYS_MAX_FLASH_SECT		135

//! Set onboard SDRAM
#define SDRAM_PART_HDR  "MT48LC16M16A2/mt48lc16m16a2.h"

//! Data bus width to use the SDRAM(s)
#define SDRAM_DBW       16



/* Define the peripheral names */
#define UART_A  AVR32_USART1
#define UART_C  AVR32_USART3
#define IRDA    AVR32_USART2

/* Define default MACB */
#define AVR32_MACB      AVR32_MACB0
#define AVR32_MACB_IRQ	AVR32_MACB0_IRQ

/* Using privileged mode P2 to bypass cache*/
#define BOARD_SDRAM_BASE				0x10000000
#define PROG_RAM_REGION					0x11000000
#define EBI_SDRAM_BASE					BOARD_SDRAM_BASE
#define EBI_SDRAM_SIZE					0x02000000
#define CONFIG_SYS_SDRAM_BASE			EBI_SDRAM_BASE

/* Reserve VM regions for SDRAM and NOR flash */
#define CONFIG_SYS_NR_VM_REGIONS		2

//! Number of LEDs.
#define LED_COUNT   3

/*! \name PIO Connections of LEDs
 */
//! @{
#  define LED0_PIO   AVR32_PIOA_P_16_PIN
#  define LED1_PIO   AVR32_PIOA_P_19_PIN
#  define LED2_PIO   AVR32_PIOE_P_19_PIN
//! @}

// Define the watchdog key value
#define AVR32_WDT_KEY_VALUE	0x55

#endif
